@import url('https://fonts.googleapis.com/css2?family=Ephesis&family=Montserrat:wght@100;300;400;500;700;900&family=Sriracha&display=swap');

*{  
    box-sizing: border-box;
    margin:0;
    padding:0;
    width: auto;
}

html{
    scroll-behavior: smooth;
}

body{
    background-color: black;
}


/*Nav section*/
.container-fluid{
    padding: 0% 25%;
}

.navbar-collapse{
    width: auto;
    margin: auto;
    height: 80px;
    position: relative;
    z-index: 1000; 
    background-color: black;
    padding: 1% 0%; 
}

.navbar-collapse ul{
    list-style-type: none;
    animation-name: moveIndown;
    animation-duration: 3.5s;
    padding: 0;
}

.navbar-collapse ul li a{
    position: relative;
    text-decoration: none;
    font-size: 3rem;
    font-family: 'Sriracha';
    color:#e4e6eb;
}

.navbar-collapse ul li a:hover{
    text-shadow: 0px 0px 30px white, 1px 1px 0px blueviolet; 
}

.nav-item{
    padding: 0 45px;
}

/* Section du CENTRE de la page d'accueil */

.container-center{
    width: auto;
    height:650px;
    padding: 5% 0;
    text-align: center;
    position: relative;
}

.photo-container{
        margin-top: 3%; 
}

#photo{
    width: 55%;
    border-radius: 100%;
    animation-name: moveIndown;
    animation-duration: 3s;
    position: relative;
    z-index: 1200; 
    box-shadow: 0px 0px 50px white;
}

@keyframes moveIndown {
    0% {
        opacity: 0;
        transform: translatey(-300px);
    }

    80% {
        transform: translatey(10px);
    }
    100% {
        opacity: 1;
        transform: translate(0);
    }
}

#image-text{
    width: auto;
    font-size: 2.4rem;
    font-family: 'Sriracha';
    line-height: 1.3;
    opacity: 90%;
    position: relative;
}

#left-text{
    text-align: right;
    padding: 0;
    width:30%;
}

#right-text{
    text-align: left;
    padding:0;
    width:30%;
}

#color-html{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 1.5s;
}

#color-animate{
    color: rgba(57, 0, 96, 0.7);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 2.1s;
    padding-right: 20px;
}

#color-max{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 2.7s;
    padding-right: 35px;
}

#color-audition{
    color: rgba(57, 0, 96, 0.7);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 3.3s;
    padding-right: 40px;
}

#color-photoshop{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 3.9s;
    padding-right: 35px;
}

#color-visualstudio{
    color: rgba(57, 0, 96, 0.7);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 4.5s;
    padding-right: 20px;
}

#color-bootstrap{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInleft;
    animation-duration: 5.9s;
}


#color-css{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 1.8s;
}

#color-premiere{
    color: rgba(57, 0, 96, 0.7);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 2.4s;
    padding-left: 20px;
}

#color-adobexd{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 3s;
    padding-left: 35px;
}

#color-illustrator{
    color: rgba(57, 0, 96, 0.7);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 4.2s;
    padding-left: 40px;
}

#color-aftereffects{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 3.8s;
    padding-left: 35px;
}

#color-mediaencoder{
    color: rgba(57, 0, 96, 0.7);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 4.8s;
    padding-left: 20px;
}

#color-javascript{
    color: rgba(57, 0, 96, 0.5);
    text-shadow: 1px 1px 0px white;
    animation-name: moveInRight;
    animation-duration: 5.8s;
}


.text-box {
  position: relative;  
  top: 25%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align:center;  
  z-index: 1000;    
  background: black;    
}

.heading-primary {
    color:#e4e6eb;
}

.heading-primary-main {
    display: block;
    font-size: 6.8rem;
    font-weight: 400;
    letter-spacing: 5px;
    font-family: 'Ephesis';
   /*  Animation decalaration   */
    animation-name: moveInleft;
    animation-duration: 5s;
}

.heading-primary-sub {
    display: block;
    font-size: 1.5rem;
    font-weight: 200;
    font-family: 'Sriracha';
    letter-spacing: 5px;
    animation-name: moveInRight;
    animation-duration: 5s;
}


@keyframes moveInleft {
    0% {
        opacity: 0;
        transform: translateX(-300px);
    }

    80% {
        transform: translateX(10px);
    }
    100% {
        opacity: 1;
        transform: translate(0);
    }
}

@keyframes moveInRight {
    0% {
        opacity: 0;
        transform: translateX(300px);
    }

    80% {
        transform: translateX(-10px);
    }
    
    100% {
        opacity: 1;
        transform: translate(0);
    }

}

@media screen and (min-width: 1921px) and (max-width: 2500px){
    .navbar-collapse{
            padding: 01% 0%;  
            height: auto;
            margin: auto;
        }
    
        .navbar-collapse ul {
            position: relative;
            margin: auto;
        }
    
        .navbar-collapse ul li a{
            font-size: 1.6rem;
            text-align: center;
            padding: 0 1rem;
        }
    
        .container-center{
            height:900px;
            padding-top: 5%;   
        }
    
        .row{
            padding: 0;
            margin: 0;
        }
    
        #image-text{
            font-size: 2.9rem;
            height: 450px; 
            width: 100%;
            text-align: center;
            right:-2%;
        }
    
        #photo{
            width: 75%;
            top: 8%;
        }

        #left-text{
            line-height: 1.3;
            top:8%;
            position: relative;
            width:30%;
            height:400px;
            padding-right: 2%;
        }

        #right-text{  
            position: relative;
            line-height: 1.3;
            top:8%; 
            width:30%;
            height: 400px;
            padding-left: 2%;
        }

        .text-box {  
            top: 25%;  
            left: 50%;
            position: relative;
            width: 100%;
        }
    
        .heading-primary-main {
            font-size: 8rem;
        }

        .heading-primary-sub {
            font-size: 1.9rem;
            
        }
}

@media screen and (min-width: 1401px) and (max-width: 1920px){
    .navbar-collapse{
            padding: 01% 0%;  
            height: auto;
            margin: auto;
        }
    
        .navbar-collapse ul {
            position: relative;
            margin: auto;
        }
    
        .navbar-collapse ul li a{
            font-size: 1.6rem;
            text-align: center;
            padding: 0 1rem;
        }
    
        .container-center{
            height:900px;
            padding-top: 5%;  
        }
    
        .row{
            padding: 0;
            margin: 0;
        }
    
        #image-text{
            font-size: 2.9rem;
            height: 450px; 
            width: 100%;
            text-align: center;
            right:-2%;
        }
    
        #photo{
            width: 70%;
            top: 8%;
        }

        #left-text{
            line-height: 1.3;
            top:8%;
            position: relative;
            width:30%;
            height:400px;
            padding-right: 2%;
        }

        #right-text{  
            position: relative;
            line-height: 1.3;
            top:8%; 
            width:30%;
            height: 400px;
            padding-left: 2%;
        }

        .text-box {  
            top: 25%;  
            left: 50%;
            position: relative;
            width: 100%;
        }
    
        .heading-primary-main {
            font-size: 8rem;
        }

        .heading-primary-sub {
            font-size: 1.9rem;    
        }
}

@media screen and (min-width:1025px) and (max-width: 1400px){
    
        .navbar-collapse{
            padding: 1% 0%;  
            height: auto;
            margin: auto;
        }
    
        .navbar-collapse ul {
            position: relative;
            margin: auto;
        }
    
        .navbar-collapse ul li a{
            font-size: 2.5rem;
            text-align: center;
            padding: 0 2.5rem;
        }
    
        .container-center{
            height:890px;
            padding-top: 5%;   
        }
    
        .row{
            padding: 0;
            margin: 0;
        }
    
        #image-text{
            font-size: 2.8rem;
            height: 350px; 
            width: 100%;
            text-align: center;
            right:-2%;
        }
    
        #photo{
            width: 100%;
            top: 20%;
        }

        #left-text{
            line-height: 1.25;
            top:20%;
            position: relative;
            width:30%;
            height: 350px;
            padding-right: 1%;
        }

        #right-text{  
            position: relative;
            line-height: 1.25;
            top:20%; 
            width:30%;
            height: 350px;
            padding-left: 1%;
        }

        .text-box {  
            top: 30%;  
            left: 50%;
            position: relative;
            width: 100%;
        }
    
        .heading-primary-main {
            font-size: 8rem;
        }

        .heading-primary-sub {
            font-size: 1.9rem;  
        }
}

@media screen and (min-width:821px) and (max-width:1024px){
     .navbar-toggler{
            position: relative;
        }
        .navbar-collapse ul{
            animation: none;
            text-align: center;
        }
    
        .navbar-collapse{
            padding: 1% 0%;  
            height: auto;
        }

        .navbar-collapse ul li a{
            font-size: 1.6rem;
            padding: 0 0rem;
        }
    
        .container-center{
            height:990px;
            padding-top: 5%;
            text-align: center;
        }
    
        .row{
            padding: 0;
            margin: 0;
        }
    
        #image-text{
            font-size: 2rem;
            height: 350px; 
            width: 100%;
            text-align: center;
            right:-1%;
        }
    
        #photo{
            width: 85%;
            top: 15%;
        }

        #left-text{
            line-height: 1.25;
            top:15%;
            position: relative;
            width:30%;
            height: 250px;
        }

        #right-text{  
            position: relative;
            line-height: 1.25;
            top:15%; 
            width:30%;
            height: 250px;
        }

        .text-box {  
            top: 25%;  
            left: 50%;
            position: relative;
            width: 100%;
        }
    
        .heading-primary-main {
            font-size: 8rem;
        }

        .heading-primary-sub {
            font-size: 1.9rem;
        }
}
  
@media screen and (min-width:300px) and (max-width:820px){
        .navbar-toggler{
            position: relative;
            margin-left: 115%;
        }
        .navbar-collapse ul{
            animation: none;
        }
    
        .navbar-collapse{
            padding: 1% 0%;  
            height: auto;
            right: 5%;
        }

        .navbar-collapse ul li a{
            font-size: 1.5rem;
            line-height: 1.5;
        }
    
        .navbar-nav{
            width: 15rem;
            height: auto;
            padding: 0;
    }
    
        .container-center{
            height:750px;
            padding-top: 5%;
            text-align: center;
        }
    
        #photo{
            width: 50%;
            top: 12%;
        }
    
        #image-text{
            font-size: 1.2rem;
            height: 350px; 
        }

        #left-text{
            position: absolute;
            margin-top: 73%;
            line-height: 1.25;
            margin-left: 10%;
        }

        #right-text{
            position: absolute;
            margin-top: 73%;
            margin-left: 60%;
            line-height: 1.25;
        }
    
        #color-html, #color-animate, #color-max, #color-audition, #color-photoshop, #color-visualstudio{
            padding-right: 0;
        }
    
        #color-css, #color-premiere, #color-adobexd, #color-illustrator, #color-aftereffects, #color-mediaencoder{
            padding-left: 0;
        }
    
        .text-box {  
            top: 38%;  
            padding-bottom: 0;
        }
    
        .heading-primary-main {
            font-size: 4rem;
        }

        .heading-primary-sub {
            font-size: 1.2rem;
        }

}


/*Footer and waves section */
#footer-contain{
    display: none;
    }

.footer {
    width:100%;
    position:relative;
    background:black;
    color:#e4e6eb;
    margin: auto;
    top:10%;
}

.inner-footer {
    height:65vh;
    width:100%;
    margin: 0;
    padding: 0;
}

.waves {
    position:relative;
    width: 100%;
    height:15vh;
    min-height:100px;
    max-height:150px;
}



/* Animation */

.parallax > use {
  animation: move-forever 25s cubic-bezier(.55,.5,.45,.5)     infinite;
}
.parallax > use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 7s;
}
.parallax > use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 10s;
}
.parallax > use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 13s;
}
.parallax > use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 20s;
}
@keyframes move-forever {
  0% {
   transform: translate3d(-90px,0,0);
  }
  100% { 
    transform: translate3d(85px,0,0);
  }
}

@media screen and (min-width: 1920px) {
    .waves {
      height:125px;
        min-height:40px;
  }
}

@media screen and (max-width:1200px){
    .waves {
        height:125px;
        min-height:40px;
  }
}

@media screen and (max-width:820px){
     .waves {
         height:15vh;
         min-height:140px;
  }
}
  
@media screen and (min-width:300px) and (max-width:600px){
     .waves {
        display: none;
  }
    .footer {
        display: none;
  }
    
    footer{
        background-color: black;
        top:5%;
        position: relative;
    }
    
    #footer-contain{
        display: block;
        text-align: center;
        width: auto;
        height: 40px;
        color: #e4e6eb;
        position: relative;
    }
    
}

